textures/000Map/carpet
{ 
   qer_editorimage textures/000Map/carpet.tga 
   surfaceparm nomarks 
   surfaceparm trans 
   surfaceparm alphashadow 
   cull none 
   nopicmip 
   { 
      map textures/000Map/carpet.tga 
      rgbGen identity 
      depthWrite 
      alphaFunc GE128 
   } 
   { 
      map $lightmap 
      blendfunc filter 
      rgbGen identity 
      tcGen lightmap 
      depthFunc equal 
   } 
}

models/happyday/trees/leaves_tree2
{
	cull none
	surfaceparm trans
		{
			map models/happyday/trees/leaves_tree2.tga
			alphaFunc GE128
			depthWrite
			rgbGen vertex
		}
}

textures/000Map/ladder
{
        qer_editorimage textures/000Map/ladder.jpg
        qer_trans 0.50
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}

textures/000map/waterflower
{	
	qer_editorimage textures/000map/waterflower.tga
	q3map_globaltexture	
	tessSize 8 	
	deformVertexes wave 64 sin 0 4 0 0.08	
	surfaceparm alphashadow 	
	surfaceparm trans 	
	cull none 
	{
	map textures/000map/waterflower.tga	
	blendfunc GL_ONE GL_ZERO	
	alphafunc GE128	
	rgbGen identity	
	rgbGen const ( 1.0 1.0 1.0) 	
	depthwrite	
	}	
	{			
	map $lightmap		
	rgbGen identity		
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
}

textures/000Map/gunnebo1
{	
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm noimpact
	surfaceparm nonsolid	
	surfaceparm playerclip	
	surfaceparm alphashadow	
	cull none	
	sort 6	
	{
		map textures/000Map/gunnebo1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
    }
}

textures/000Map/start
{ 
	qer_editorimage textures/000Map/start.tga
	qer_trans 0.5
	polygonOffset
	sort 6
	{
		map textures/000Map/start.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
    }
}

textures/000Map/ladderj
{ 
	qer_editorimage textures/000Map/ladderj.tga
	qer_trans 0.5
	polygonOffset
	sort 6
	{
		map textures/000Map/ladderj.tga
		//this is where the magic happens 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
    }
}
textures/000Map/endladder
{ 
	qer_editorimage textures/000Map/endladder.tga
	qer_trans 0.5
	polygonOffset
	sort 6
	{
		map textures/000Map/endladder.tga
		//this is where the magic happens 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
    }
}

textures/000Map/laddertraining
{ 
	qer_editorimage textures/000Map/laddertraining.tga
	qer_trans 0.5
	polygonOffset
	sort 6
	{
		map textures/000Map/laddertraining.tga
		//this is where the magic happens 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
    }
}

textures/000Map/sky
{
	qer_editorimage textures/000Map/sky.jpg
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 185
	skyparms env/sw_txts/eagle 256 -

}

textures/000Map/fragsign1:q3map
{ 
        surfaceparm nonsolid
}


textures/000Map/fragsign2:q3map
{ 
        surfaceparm nonsolid
}

textures/000Map/signjump3a:q3map
{ 
        surfaceparm nonsolid
}

textures/000Map/signjump3b:q3map
{ 
        surfaceparm nonsolid
}

textures/000Map/frag
{ 
	qer_editorimage textures/000Map/frag.tga
	qer_trans 0.5
	polygonOffset
	sort 6
	{
		map textures/000Map/frag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
    }
}

textures/000Map/waterfall
{
    q3map_surfacelight 50
    q3map_backsplash 0 0
    surfaceparm noimpact
    surfaceparm water
    surfaceparm trans
    cull none
    {
        map textures/000Map/waterfall2.tga
        blendFunc blend
        tcmod scroll 0 -2.5
    }
}


textures/000Map/acqua
    {
        qer_editorimage textures/000Map/pool3d_5.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        surfaceparm nolightmap

        cull disable
        deformVertexes wave 64 sin .5 .5 0 .5    

        { 
            map textures/000Map/pool3d_5.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }

        { 
            map textures/000Map/pool3d_6.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }

        { 
            map textures/000Map/pool3d_3.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .25 .5
            tcmod scroll .001 .025
        }

        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity        
        }

}


textures/000Map/acqua_luminosa
    {
        qer_editorimage textures/000Map/pool3d_5.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water

		q3map_lightRGB 0.4 0.6 1.0
		q3map_surfacelight 350

        cull disable
        deformVertexes wave 64 sin .5 .5 0 .5    

        { 
            map textures/000Map/pool3d_5.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }

        { 
            map textures/000Map/pool3d_6.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }

        { 
            map textures/000Map/pool3d_3.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .25 .5
            tcmod scroll .001 .025
        }

        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity        
        }

}

textures/000Map/lava_bright
{
    qer_editorimage textures/000Map/lavahell.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm water
    surfaceparm nolightmap
    q3map_surfacelight 600
    cull disable
    {
        map textures/000Map/lavahell.tga
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/000Map/lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/000Map/lava_hurt
{
    qer_editorimage textures/000Map/lavahell.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 600
    cull disable
    {
        map textures/000Map/lavahell.tga
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/000Map/lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/000Map/glass
{
	qer_editorimage textures/000Map/glass.tga
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull none
	qer_trans .5
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/000Map/glassbright
{
	qer_editorimage textures/000Map/glass.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	qer_trans .5
	{
		map textures/000Map/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/000Map/glassnoicy
{
	qer_editorimage textures/000Map/glass.tga
	surfaceparm trans
	surfaceparm nodamage
	cull none
	qer_trans .5
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/000Map/glassnosolid
{
	qer_editorimage textures/000Map/glass.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	qer_trans .2
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/000Map/MarbleGreen0001_39_S:q3map
{
	surfaceparm nodamage
}

textures/000Map/snow:q3map
{
	surfaceparm nodamage
}

textures/000Map/ice:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/000Map/dirtgrass:q3map
{
	surfaceparm nodamage
}

textures/000Map/BrickSmallDark0010_2_S:q3map
{
	surfaceparm nodamage
}

textures/000Map/BrickSmallDarkNonsolid:q3map
{
	surfaceparm nodamage
	surfaceparm nonsolid
}

textures/000Map/BrickSmallDarkSlick:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/000Map/crude_warn:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}


textures/000Map/inv
{
    qer_editorimage textures/000Map/inv.jpg
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm slick
    surfaceparm nodraw
}

textures/000Map/invnonsolid
{
    qer_editorimage textures/000Map/invnonsolid.jpg
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
	surfaceparm nodraw
}

textures/000Map/camera
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
	map textures/common/mirror1.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	depthWrite
	alphaGen portal 2048
    }
}